/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.vsb.vis.visvzorweb;

import cz.vsb.vis.visvzorservice.LideRepositoryFactory;
import cz.vsb.vis.visvzorservice.LideService;
import cz.vsb.vis.visvzorservice.LideServiceImpl;
import javax.annotation.Resource;
import javax.enterprise.context.Dependent;
import javax.enterprise.inject.Default;
import javax.enterprise.inject.Produces;
import javax.inject.Named;
import javax.sql.DataSource;

@Named
@Dependent
public class LideServiceProducer {

    @Resource(name = "jatDatabase")
    private DataSource jatDatabase;

    @Produces
    @Default
    public LideService getLideService() {
        return new LideServiceImpl(new LideRepositoryFactory(jatDatabase));
    }
}
