/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.vsb.vis.visvzorservice;

import cz.vsb.vis.visvzor.model.Clovek;
import static cz.vsb.vis.visvzor.model.Clovek.from;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.PrintWriter;
import java.io.UnsupportedEncodingException;
import java.nio.file.Files;
import java.nio.file.Paths;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import java.util.stream.Stream;

/**
 *
 * @author nav79
 */
public class LideRepositoryImpl implements LideRepository {

    List<Clovek> lide;

    @Override
    public void ulozClovek(Clovek clovek) throws FileNotFoundException, UnsupportedEncodingException {
        lide.add(clovek);
        try (PrintWriter pw = new PrintWriter("lide.txt", "UTF-8")) {
            lide.forEach((newClovek) -> {
                pw.println(String.format("%s;%s", newClovek.getJmeno(), newClovek.getPrijmeni()));
            });
        }
    }

    @Override
    public List<Clovek> nactiLidi() {
        if (lide == null) {
            lide = new ArrayList<>();
            try (Stream<String> stream = Files.lines(Paths.get("lide.txt"))) {
                stream.forEach(line -> lide.add(from(line)));
            } catch (IOException ex) {
                Logger.getLogger(LideServiceImpl.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
        return lide;
    }
}
